* assumes there is a file sam    and ccm
*$batinclude fakeset ;
*aggr includes pairs with the first element to contain the sum of itself and the others

set aggr(AI,AI1)
/ACCHOT.ACCHOT,
ACCHOT.ACCRST,
ADMBLD.ADMBLD,
ADMBLD.ADMOTH,
ADMBLD.ADMSEC,
ADMBLD.ADMTMP,
BEVTOB.BEVTOB,
BEVTOB.FDMFG,
BEVTOB.FDPROC,
CEMENT.CEMENT,
CEMENT.GLASS,
CEMENT.CONCRT,
CEMENT.SCAOTH,
CEMENT.PLASTC,
CHMBAS.CHMBAS,
CHMBAS.INDGAS,
CHMBAS.CHMDRG,
CHMBAS.CHMOTH,
CHMBAS.CHMSPS,
CMPAUD.CMPAUD,
CMPAUD.CMPCMM,
CMPAUD.CMPINS,
CMPAUD.CMPMED,
CMPAUD.CMPMFG,
CMPAUD.CMPRTS,
INFCOM.INFCOM,
INFCOM.INFOPC,
INFCOM.INFOTH,
INFCOM.INFOTL,
LABDNT.LABDNT,
LABDNT.MSCMFG,
MACHIN.MACHIN,
MACHIN.MTLFAB,
MACHIN.PRIMTL,
MEDAMB.MEDAMB,
MEDAMB.MEDHSP,
MEDAMB.MEDNRS,
MEDAMB.MEDSA,
AGRIC.AGRIC,
AGRIC.OTHPRI,
PAPER.PAPER,
PAPER.PLPMLL,
PAPER.WOOD,
PAPER.PRINT,
PAPER.FURN,
PROACC.PROACC,
PROACC.PROADV,
PROACC.PROARC,
PROACC.PROCOM,
PROACC.PROCNS,
PROACC.PRODES,
PROACC.PROLEG,
PROACC.PROOTH,
PROACC.PRORES,
RECAMS.RECAMS,
RECAMS.RECENT,
APPREL.APPREL,
APPREL.TEXLTH,
VEHBDY.VEHBDY,
VEHBDY.VEHOTH,
VEHBDY.VEHPRT,
VEHBDY.VEHSHP,
VEHBDY.VEHAER
/;

*same as the list of first elements
set remain(AI)
/ACCHOT,
ADMBLD,
BEVTOB,
CEMENT,
CHMBAS,
CMPAUD,
INFCOM,
LABDNT,
MACHIN,
MEDAMB,
AGRIC,
PAPER,
PROACC,
RECAMS,
APPREL,
VEHBDY
/;
*same as the list of second elements
set gone(AI)
/ACCRST,
ADMOTH,
ADMSEC,
ADMTMP,
FDMFG,
FDPROC,
GLASS,
CONCRT,
SCAOTH,
PLASTC,
INDGAS,
CHMDRG,
CHMOTH,
CHMSPS,
CMPCMM,
CMPINS,
CMPMED,
CMPMFG,
CMPRTS,
INFOPC,
INFOTH,
INFOTL,
MSCMFG,
MTLFAB,
PRIMTL,
MEDHSP,
MEDNRS,
MEDSA,
OTHPRI,
PLPMLL,
WOOD,
PRINT,
FURN,
PROADV,
PROARC,
PROCOM,
PROCNS,
PRODES,
PROLEG,
PROOTH,
PRORES,
RECENT,
TEXLTH,
VEHOTH,
VEHPRT,
VEHSHP,
VEHAER
/;


I(gone) = no;
Z(gone) = no;

parameter ccmorig(AI,AI1), samorig(az,az1);
ccmorig(AI,AI1) = ccm(AI,AI1)   ;
samorig(az,az1) = sam(az,az1)   ;


*now for ccm
*first aggregate the rows
ccm(remain,AI1) = sum(AI$aggr(remain,AI) , ccmorig(AI,AI1));
* now weight the rows by capit  (which mult by 11/5 is N)
*parameter test_ccmrowssum(ai,ai1);
*test_ccmrowssum(ai,ai1) = ccm(ai,ai1)- ccm_sumofrows(ai,ai1);
*display ccmorig , ccm, ccm_sumofrows, test_ccmrowssum;
*prepare weights
parameter weights(AI,AI1);
* this depends on I1 only belonging to one pair of the form aggr(I,I1)
weights(remain, AI)$aggr(remain,AI) = sam('capit',AI) / sum(AI1$aggr(remain,AI1) , sam('capit',AI1)  )   ;
ccm(AI,remain) = sum(AI1$aggr(remain,AI1) , ccm(AI,AI1)*weights(remain,AI1)  );
*don't have to set the rows and columns to be 0, since we are not gonna use them anyway
ccm(AI,gone) = 0;
ccm(gone,AI) = 0 ;
*parameter test_ccmcolsum(ai,ai1);
*test_ccmcolsum(ai,ai1)=ccm(ai,ai1)- ccm_sumofcolumns(ai,ai1);
*display ccm, ccm_sumofcolumns, test_ccmcolsum,weights;


**********
*first roll up all the rows, including gov, inves, whatever...
sam(remain,az) = sum(AI$aggr(remain,AI) , sam(AI,az));
*now add the columns of I that are being collapsed
sam(az,remain) = sum(AI$aggr(remain,AI), sam(az,AI) ) ;

sam(az,gone) = 0 ;
sam(gone,az) = 0;
*************

parameter N0(AI),rr00 /11/,dep /5/, testinves(AI), inves_match(AI);
N0(I) = sam('capit',I)*dep/rr00 ;
testinves(I) = SUM(J, CCM(I,J) * N0(J) ) ;
inves_match(I) = sam(I,'INVES')-testinves(I)
display testinves, inves_match ;

*misc(alc,"JOBS")+misc(alc,"JOBS")
misc(remain,"JOBS") = sum(aggr(remain,AI) , misc(AI,"JOBS"));

display misc;


parameter q00(AZ), q0test(AZ), q000(AZ);
 Q00(Z) = SUM(Z1,SAM(Z1,Z) );
 q000(Z) = sum(z1,SAM(z,z1) );
q0test(z) = q00(z) - q000(z);
display q0test;
display z, z1 ;



